'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.boldTextColor = exports.boldBackgroundColor = exports.textColor = exports.backgroundColor = undefined;

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports.theme = theme;

var _theme = require('@atlaskit/theme');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* Note:
 Lozenge does not support dark mode at the moment,
 it will be implemented later.
 Hence, color values are the same.
 */
var backgroundColor = exports.backgroundColor = {
  default: { light: _theme.colors.N40, dark: _theme.colors.N40 },
  inprogress: { light: _theme.colors.B50, dark: _theme.colors.B50 },
  moved: { light: _theme.colors.Y75, dark: _theme.colors.Y75 },
  new: { light: _theme.colors.P50, dark: _theme.colors.P50 },
  removed: { light: _theme.colors.R50, dark: _theme.colors.R50 },
  success: { light: _theme.colors.G50, dark: _theme.colors.G50 }
};

var textColor = exports.textColor = {
  default: { light: _theme.colors.N500, dark: _theme.colors.N500 },
  inprogress: { light: _theme.colors.B500, dark: _theme.colors.B500 },
  moved: { light: _theme.colors.N800, dark: _theme.colors.N800 },
  new: { light: _theme.colors.P500, dark: _theme.colors.P500 },
  removed: { light: _theme.colors.R500, dark: _theme.colors.R500 },
  success: { light: _theme.colors.G500, dark: _theme.colors.G500 }
};

var boldBackgroundColor = exports.boldBackgroundColor = {
  default: { light: _theme.colors.N500, dark: _theme.colors.N500 },
  inprogress: { light: _theme.colors.B400, dark: _theme.colors.B400 },
  moved: { light: _theme.colors.Y500, dark: _theme.colors.Y500 },
  new: { light: _theme.colors.P400, dark: _theme.colors.P400 },
  removed: { light: _theme.colors.R400, dark: _theme.colors.R400 },
  success: { light: _theme.colors.G400, dark: _theme.colors.G400 }
};

var boldTextColor = exports.boldTextColor = {
  default: { light: _theme.colors.N0, dark: _theme.colors.N0 },
  inprogress: { light: _theme.colors.N0, dark: _theme.colors.N0 },
  moved: { light: _theme.colors.N800, dark: _theme.colors.N800 },
  new: { light: _theme.colors.N0, dark: _theme.colors.N0 },
  removed: { light: _theme.colors.N0, dark: _theme.colors.N0 },
  success: { light: _theme.colors.N0, dark: _theme.colors.N0 }
};

function theme(props) {
  var mode = props.mode || 'light';
  return (0, _extends3.default)({
    lozenge: function lozenge(_ref) {
      var appearance = _ref.appearance,
          isBold = _ref.isBold,
          maxWidth = _ref.maxWidth;

      return (0, _extends3.default)({}, (typeof appearance === 'undefined' ? 'undefined' : (0, _typeof3.default)(appearance)) === 'object' ? (0, _extends3.default)({
        backgroundColor: (isBold ? boldBackgroundColor : backgroundColor).default.light,
        textColor: (isBold ? boldTextColor : textColor).default.light
      }, appearance) : {
        backgroundColor: (isBold ? boldBackgroundColor[appearance] : backgroundColor[appearance]).light,
        textColor: (isBold ? boldTextColor[appearance] : textColor[appearance]).light
      }, {
        maxWidth: maxWidth
      }, props.lozenge ? props.lozenge({ appearance: appearance, isBold: isBold, maxWidth: maxWidth }) : null);
    },
    mode: mode
  }, props);
}